/**
 * @package 	WordPress
 * @subpackage 	Green Farm
 * @version 	1.0.0
 * 
 * Theme RTL Rules
 * Created by CMSMasters
 * 
 */


body {
	unicode-bidi: embed;
	direction: rtl;
	text-align: right;
}

ul ul,
ol ul,
ul ol,
ol ol {
	margin-left: 0;
	margin-right: 20px;
}

ul {
	padding-right: 15px;
	padding-left:0;
}

ul li:before {
	content: '\eb21';
	left: auto;
	right: -16px;
}

blockquote {
	padding-left: 0;
	padding-right: 30px;
}

div {
	text-align: right;
}

blockquote,
q {
	padding-right: 53px;
}

blockquote:before,
q:before {
	content: '\201D'; /* Check this rule! */
	left: auto;
	right: 0;
}

#page .sticky:before {
	text-align: center;
	left: 30px;
	right: auto;
}

nav > div > ul ul {
	left: auto;
	right: 0;
}

nav > div > ul ul ul {
	margin-left: 0;
	margin-right: 20px;
	left: auto;
	right: 100%;
}

.header_top nav > div > ul ul ul {
	margin-left: 0;
	margin-right: 20px;
}

.header_bot nav > div > ul ul ul {
	margin-left: 0;
	margin-right: 20px;
}

nav > div > ul li.menu-item-dropdown-right {
	text-align: left;
}

nav > div > ul li.menu-item-dropdown-right * {
	text-align: left;
}

nav > div > ul li.menu-item-dropdown-right > ul {
	left: 0;
	right: auto;
}

nav > div > ul li.menu-item-dropdown-right > ul ul {
	margin-left: 20px;
	margin-right: 0;
	left: 100%;
	right: auto;
}

.header_bot nav > div > ul li.menu-item-dropdown-right > ul ul {
	margin-left: 20px;
	margin-right: 0;
}

nav > div > ul li.menu-item-dropdown-right > div.menu-item-mega-container {
	left: 0;
	right: auto;
}

nav > div > ul li.menu-item-dropdown-right > div.menu-item-mega-container ul {
	right: auto;
	left: auto;
}

nav > div > ul li:hover > ul:before {
	left: auto;
	right: 0;
}

nav > div > ul li:hover > div.menu-item-mega-container:before {
	left: auto;
	right: 0;
}

nav > div > ul li li:hover > ul {
	margin-left: 0;
	margin-right: 12px;
}

.header_top nav > div > ul li li:hover > ul {
	margin-left: 0;
	margin-right: 1px;
}

.header_bot nav > div > ul li li:hover > ul {
	margin-left: 0;
	margin-right: 12px;
}

nav > div > ul li li:hover > ul:before {
	left: auto;
	right: -13px;
}

.header_top nav > div > ul li li:hover > ul:before {
	left: auto;
	right: -2px;
}

.header_bot nav > div > ul li li:hover > ul:before {
	left: auto;
	right: -13px;
}

nav > div > ul li.menu-item-dropdown-right li:hover > ul {
	margin-left: 12px;
	margin-right: 0;
}

.header_bot nav > div > ul li.menu-item-dropdown-right li:hover > ul {
	margin-left: 12px;
	margin-right: 0;
}

nav > div > ul li.menu-item-dropdown-right li:hover > ul:before {
	left: -13px;
	right: auto;
}

.header_bot nav > div > ul li.menu-item-dropdown-right li:hover > ul:before {
	right: auto;
	left: -13px;
}

nav > div > ul .nav_title[class^="cmsmasters-icon-"]:before,
nav > div > ul .nav_title[class*=" cmsmasters-icon-"]:before {
	margin-left: .5em;
	margin-right: 0;
}

nav > div > ul > li {
	float: right;
}

nav > div > ul li.menu-item-mega ul {
	left: auto;
	right: auto;
}

nav > div > ul div.menu-item-mega-container {
	left: auto;
	right: 0;
}

.one_first,
.one_half,
.one_third,
.two_third,
.one_fourth,
.three_fourth,
.one_fifth,
.one_sixth {
	float: right;
}

.one_first {
	float: none;
}

.bottom_inner aside {
	float: right;
}

.cmsmasters_theme_icon_resp_nav:before {
	content: '\e925'; /* Check this rule! */
}

.cmsmasters_theme_icon_slide_prev:before {
	content: '\eb21'; /* Check this rule! */
}

.cmsmasters_theme_icon_slide_next:before {
	content: '\eb22'; /* Check this rule! */
}

.cmsmasters_prev_arrow span:before {
	content: '\e801'; /* Check this rule! */
}

.cmsmasters_next_arrow span:before {
	content: '\e802'; /* Check this rule! */
}

#middle .search_bar_wrap .search_field input,
#bottom .search_bar_wrap .search_field input {
	padding-left: 42px;
	padding-right:15px;
}

.search_bar_wrap .search_button {
	left: 0;
	right: auto;
}

.search_bar_wrap .search_button button:before {
	left: 100%;
	right: 10px;
}

.social_wrap li {
	margin-left: 2px;
	margin-right: 0;
}

.owl-carousel {
	direction:ltr;
}

#slide_top {
	right: auto;
	left: 20px;
}

.cmsmasters_likes a span,
.cmsmasters_comments a span {
	margin-left: 0;
	margin-right: 5px;
}

.cmsmasters_items_filter_wrap .cmsmasters_items_sort_block {
	float: left;
}

.cmsmasters_items_filter_wrap .cmsmasters_items_sort_but {
	margin-left: 0;
	margin-right: 10px;
	padding-left: 48px;
	padding-right: 25px;
	float: right;
}

.cmsmasters_items_filter_wrap .cmsmasters_items_sort_but:before {
	right: auto;
	left: 18px;
}

.cmsmasters_wrap_pagination ul li {
	margin-left: 2px;
	margin-right: 0;
	float: right;
}

.post_nav > span.cmsmasters_prev_post {
	padding-left: 20px;
	padding-right: 0;
	float: right;
}

.post_nav > span.cmsmasters_prev_post .post_nav_sub {
	left: auto;
	right: 65px;
}

.post_nav > span.cmsmasters_prev_post a {
	padding-left: 0;
	padding-right: 65px;
}

.post_nav > span.cmsmasters_prev_post > .cmsmasters_prev_arrow {
	left: auto;
	right: 1px;
}

.post_nav > span.cmsmasters_prev_post > .cmsmasters_prev_arrow span:before {
	content:'\e802';
}

.post_nav > span.cmsmasters_next_post {
	padding-left: 0;
	padding-right: 20px;
	float: left;
	text-align: left;
}

.post_nav > span.cmsmasters_next_post .post_nav_sub {
	right: auto;
	left: 65px;
}

.post_nav > span.cmsmasters_next_post a {
	padding-left: 65px;
	padding-right: 0;
}

.post_nav > span.cmsmasters_next_post > .cmsmasters_next_arrow {
	left: 1px;
	right: auto;
}

.post_nav > span.cmsmasters_next_post > .cmsmasters_next_arrow span:before {
	content:'\e801';
}

.share_posts a {
	display:inline-block;
	margin-left: 30px;
	margin-right: 0;
}

.share_posts a:last-child {
	margin-left: 0;
}

.about_author .about_author_avatar {
	margin-left: 30px;
	margin-right: 0;
	float: right;
}

.cmsmasters_single_slider .cmsmasters_single_slider_title {
	padding-right:0;
	padding-left:80px;
}

.cmsmasters_single_slider .cmsmasters_single_slider_inner .owl-buttons {
	right:auto;
	left:10px;
}

.commentlist .children {
	padding-left: 0;
	padding-right: 20px;
}

.pingslist .pingback {
	padding-right:0;
	padding-left:50px;
}

.pingslist .pingback .comment-body .edit-link {
	right:auto;
	left:0;
}

.cmsmasters_comment_item .cmsmasters_comment_item_avatar {
	padding-left: 30px;
	padding-right:0;
	float: right;
	text-align: center;
}

.cmsmasters_comment_item .comment-reply-link {
	float: left;
	margin-right: 12px;
	margin-left:0;
}

.cmsmasters_comment_item .cmsmasters_comment_item_date,
.comment-respond .comment-reply-title small {
	float: left;
}

.navigation > li:before {
	left: auto;
	right: 0;
}

.navigation ul {
	left: auto;
	right: 0;
}

.navigation ul ul {
	left: auto;
	right: 100%;
}

.header_top .header_top_right {
	float: left;
}

.header_top .social_wrap li {
	margin-left: 4px;
	margin-right: 0;
}

.header_top .header_top_left {
	padding-left: 20px;
	padding-right: 0;
}

.header_top .meta_wrap > * {
	margin-left: 25px;
	margin-right: 0;
}

.header_top .meta_wrap > *[class^="cmsmasters-icon-"]:before,
.header_top .meta_wrap > *[class*=" cmsmasters-icon-"]:before,
.header_top .meta_wrap > *[class^="cmsmasters_theme_icon_"]:before,
.header_top .meta_wrap > *[class*=" cmsmasters_theme_icon_"]:before {
	margin-right: 0;
	margin-left: 15px;
}

.header_fullwidth .header_mid .header_mid_inner {
	text-align: center;
}

.header_mid .logo_wrap {
	float: right;
}

.enable_header_centered .header_mid .logo_wrap {
	float: none;
}

.header_mid .logo_wrap .title_text {
	padding-left: 0;
	padding-right: 3px;
}

.header_mid .logo_wrap .logo img {
	left: auto;
	right: 0;
}

.header_mid .resp_mid_nav_wrap {
	margin-left: 0;
	margin-right: 20px;
	float: left;
}

.header_mid .search_wrap {
	margin-left: 0;
	margin-right: 20px;
	float: left;
}

.header_mid .search_wrap .search_icon_close {
	right: auto;
	left: 2%;
}

.header_mid .search_wrap .search_icon_close:before {
	left: auto;
	right: 0;
}

.header_mid .search_wrap .search_icon_close:after {
	left: auto;
	right: 50%;
	margin-right: -1px;
	margin-left:0;
}

.header_mid .social_wrap {
	float: left;
	margin-right: 20px;
	margin-left:0;
}

.header_mid .social_wrap .social_wrap_inner {
	text-align: left;
}

.header_mid .social_wrap li {
	margin-left: 2px;
	margin-right: 0;
}

.header_mid .slogan_wrap {
	float: left;
}

.header_mid .slogan_wrap .slogan_wrap_inner {
	padding-left: 0;
	padding-right: 20px;
	text-align: left;
}

.header_mid .slogan_wrap .slogan_wrap_text > * {
	margin-left: 10px;
	margin-right: 0;
}

.header_mid .slogan_wrap .slogan_wrap_text > *[class^="cmsmasters-icon-"]:before,
.header_mid .slogan_wrap .slogan_wrap_text > *[class*=" cmsmasters-icon-"]:before,
.header_mid .slogan_wrap .slogan_wrap_text > *[class^="cmsmasters_theme_icon_"]:before,
.header_mid .slogan_wrap .slogan_wrap_text > *[class*=" cmsmasters_theme_icon_"]:before {
	margin-left: 0.5em;
	margin-right: 0;
}

.header_mid .mid_nav_wrap {
	float: left;
}

.header_fullwidth .header_mid .mid_nav_wrap {
	float: none;
}

.header_bot .bot_nav_wrap {
	float: right;
}

.enable_header_right .header_bot .bot_nav_wrap {
	float: left;
}

.enable_header_centered .header_bot .bot_nav_wrap {
	float: none;
}

.cmsmasters_breadcrumbs .breadcrumbs_sep {
	margin:0 5px 0 0;
}

.cmsmasters_footer_small .footer_nav_wrap {
	float: left;
}

.cmsmasters_footer_small .footer_nav > li {
	margin-left: 25px;
	margin-right: 0;
}

.cmsmasters_footer_small .social_wrap {
	float: left;
}

.cmsmasters_footer_small .footer_custom_html_wrap {
	float: left;
}

.cmsmasters_footer_small .footer_copyright {
	padding-left: 20px;
	padding-right: 0;
}

.cmsmasters_post_default .cmsmasters_post_cont_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_post_default .cmsmasters_post_cont_info > span:first-child {
	margin-right: 0;
}

.cmsmasters_post_default .cmsmasters_post_info {
	float: left;
}

.cmsmasters_post_default .cmsmasters_post_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_post_masonry .cmsmasters_post_cont_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_post_masonry .cmsmasters_post_cont_info > span:first-child {
	margin-right: 0;
}

.cmsmasters_post_masonry .cmsmasters_post_cont_info .cmsmasters_post_info {
	float: left;
}

.cmsmasters_post_masonry .cmsmasters_post_cont_info .cmsmasters_post_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_post_timeline .cmsmasters_post_cont_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_post_timeline .cmsmasters_post_cont_info > span:first-child {
	margin-right: 0;
}

.cmsmasters_post_timeline .cmsmasters_post_cont_info .cmsmasters_post_info {
	float: left;
}

.cmsmasters_post_timeline .cmsmasters_post_cont_info .cmsmasters_post_info > span {
	margin-right: 10px;
	margin-left:0;
}

.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper:before {
	left: auto;
	right: 25px;
}

.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_footer .cmsmasters_post_footer_info {
	padding-left: 0;
	padding-right: 10px;
	float: left;
}

.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_comments,
.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_likes {
	text-align: left;
}

.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_comments span,
.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_likes span {
	padding-left: 6px;
	padding-right:0;
}

.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_comments a:before,
.post.cmsmasters_post_puzzle .puzzle_post_content_wrapper .cmsmasters_post_likes a:before {
	float: left;
}

.cmsmasters_open_post .cmsmasters_post_cont_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_open_post .cmsmasters_post_cont_info > span:first-child {
	margin-right: 0;
}

.cmsmasters_open_post .cmsmasters_post_info {
	float: left;
}

.cmsmasters_open_post .cmsmasters_post_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_project_sort_block + .cmsmasters_project_filter_block .cmsmasters_project_filter_list {
	text-align: right;
}

.cmsmasters_open_project .project_content.with_sidebar {
	float: right;
}

.cmsmasters_open_project .project_sidebar {
	padding-left: 0;
	padding-right: 40px;
	float: left;
}

.cmsmasters_open_project .project_sidebar .cmsmasters_likes a:before,
.cmsmasters_open_project .project_sidebar .cmsmasters_comments a:before {
	float: left;
	margin-right: 7px;
	margin-left:0;
}

.cmsmasters_open_project .project_details_item_title,
.cmsmasters_open_project .project_features_item_title {
	float: right;
}

.cmsmasters_open_project .project_details_item_desc,
.cmsmasters_open_project .project_features_item_desc {
	padding-left: 0;
	padding-right: 15px;
	text-align: left;
}

.cmsmasters_posts_slider .cmsmasters_slider_post, 
.cmsmasters_posts_slider .cmsmasters_slider_project {
	direction:rtl;
}

.cmsmasters_slider_post .cmsmasters_slider_post_cont_info > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_slider_post .cmsmasters_slider_post_cont_info > span:first-child {
	margin-right: 0;
}

.cmsmasters_slider_post .cmsmasters_slider_post_footer {
	float: left;
}

.cmsmasters_slider_post .cmsmasters_slider_post_footer > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_slider_project .cmsmasters_slider_project_footer > span {
	margin-right: 10px;
	margin-left:0;
}

.cmsmasters_slider_project .cmsmasters_slider_project_footer > span:first-child {
	margin-right: 0;
}

.profile_social_icons_list li:last-child {
	margin-left: 0;
	margin-right:5px;
}

.profile_social_icons_list li:first-child {
	margin-right: 0;
}

.cmsmasters_profile_vertical .cmsmasters_profile_img_wrap {
	padding-left: 4%;
	padding-right: 0;
}

.cmsmasters_profile_vertical .cmsmasters_profile_header {
	float: right;
}

.cmsmasters_profile_vertical .profile_social_icons {
	float: left;
}

.cmsmasters_open_profile .profile_content.with_sidebar {
	float: right;
}

.cmsmasters_open_profile .profile_sidebar {
	padding-left: 0;
	padding-right: 40px;
	float: left;
}

.cmsmasters_open_profile .profile_sidebar .cmsmasters_likes a:before,
.cmsmasters_open_profile .profile_sidebar .cmsmasters_comments a:before {
	float: left;
	margin-right: 7px;
	margin-left:0;
}

.cmsmasters_open_profile .profile_details_item_title,
.cmsmasters_open_profile .profile_features_item_title {
	float: right;
}

.cmsmasters_open_profile .profile_details_item_desc,
.cmsmasters_open_profile .profile_features_item_desc {
	padding-left: 0;
	padding-right: 15px;
	text-align: left;
}

.cmsmasters_divider.cmsmasters_divider_width_short.cmsmasters_divider_pos_center {
	left: auto;
	right: 40%;
}

.cmsmasters_divider.cmsmasters_divider_width_short.cmsmasters_divider_pos_right {
	left: auto;
	right: auto;
}

.cmsmasters_divider.cmsmasters_divider_width_medium.cmsmasters_divider_pos_center {
	left: auto;
	right: 30%;
}

.cmsmasters_divider.cmsmasters_divider_width_medium.cmsmasters_divider_pos_right {
	left: auto;
	right: auto;
}

.cmsmasters_divider.cmsmasters_divider_width_short.cmsmasters_divider_pos_left {
	right:80%;
}

.cmsmasters_divider.cmsmasters_divider_width_medium.cmsmasters_divider_pos_left {
	right:60%;
}

.cmsmasters_heading_wrap.cmsmasters_heading_divider_short .cmsmasters_heading_divider_left {
	margin-left: 0;
	margin-right: -10%;
}

.cmsmasters_heading_wrap.cmsmasters_heading_divider_medium .cmsmasters_heading_divider_left {
	margin-left: 0;
	margin-right: -20%;
}

.cmsmasters_heading_wrap.cmsmasters_heading_divider_long .cmsmasters_heading_divider_left {
	margin-left: 0;
	margin-right: -100%;
}

.cmsmasters_heading_wrap .cmsmasters_heading:before,
.cmsmasters_heading_wrap .cmsmasters_heading a:before {
	margin-left: 0.5em;
	margin-right: 0;
}

.cmsmasters_notice[class*=" cmsmasters-icon-"],
.cmsmasters_notice[class*=" cmsmasters_theme_icon_"] {
	padding-left: 20px;
	padding-right: 80px;
}

.cmsmasters_notice:before {
	left: auto;
	right: 20px;
}

.cmsmasters_notice .notice_close {
	left: -14px;
	right: auto;
}

.cmsmasters_icon_box.cmsmasters_icon_box_left:before {
	left: auto;
	right: 0;
	text-align: center;
}

.cmsmasters_icon_box.cmsmasters_icon_box_left_top {
	padding-right: 60px;
}

.cmsmasters_icon_box.cmsmasters_icon_box_left_top:before {
	left: auto;
	right: 0;
	text-align: center;
}

.cmsmasters_icon_box.cmsmasters_icon_heading_left h1:before,
.cmsmasters_icon_box.cmsmasters_icon_heading_left h2:before,
.cmsmasters_icon_box.cmsmasters_icon_heading_left h3:before,
.cmsmasters_icon_box.cmsmasters_icon_heading_left h4:before,
.cmsmasters_icon_box.cmsmasters_icon_heading_left h5:before,
.cmsmasters_icon_box.cmsmasters_icon_heading_left h6:before {
	margin-left: 15px;
	margin-right: 0;
}

.cmsmasters_tabs .cmsmasters_tabs_list_item a[class^="cmsmasters-icon-"],
.cmsmasters_tabs .cmsmasters_tabs_list_item a[class^="cmsmasters_theme_icon_"] {
	padding-left: 20px;
	padding-right: 50px;
}

.cmsmasters_tabs .cmsmasters_tabs_list_item a:before {
	left: auto;
	right: 20px;
}

.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters-icon-"],
.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters_theme_icon_"] {
	padding-right: 70px;
}

.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters-icon-"]:before,
.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters_theme_icon_"]:before {
	left: auto;
	right: 35px;
}

.cmsmasters_tabs.tabs_mode_tour {
	direction:ltr;
}

.cmsmasters_tabs.tabs_mode_tour.tabs_pos_left .cmsmasters_tab_inner {
	text-align:left;
}

.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class^="cmsmasters-icon-"]:before,
.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class*=" cmsmasters-icon-"]:before,
.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class^="cmsmasters_theme_icon_"]:before,
.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class*=" cmsmasters_theme_icon_"]:before {
	left: auto;
	right: 15px;
}

.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_title {
	left: auto;
	right: 15px;
}

.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap {
	left: 15px;
	right: auto;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat {
	left: auto;
	right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_title_counter_wrap {
	left: auto;
	right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_title {
	padding-left: 35px;
	padding-right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_title.stat_has_titleicon {
	padding-right: 27px;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_title.stat_has_titleicon:before {
	left: auto;
	right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_counter_wrap {
	right: auto;
	left: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_counter_wrap .cmsmasters_stat_units:before {
	content: ' '; /* Check this rule! */
}

.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap:before {
	left: auto;
	right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat_counter_wrap {
	right: auto;
	left: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner {
	left: auto;
	right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_units:before {
	content: ' '; /* Check this rule! */
}

.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner:before,
.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_title {
	left: auto;
	right: 0;
}

.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class^="cmsmasters-icon-"] .cmsmasters_stat_title,
.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class*=" cmsmasters-icon-"] .cmsmasters_stat_title,
.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class^="cmsmasters_theme_icon_"] .cmsmasters_stat_title,
.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner[class*=" cmsmasters_theme_icon_"] .cmsmasters_stat_title {
	left: auto;
	right: 30px;
}

.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap {
	float: none;
	text-align: center;
}

.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner {
	left: auto;
	right: 3px;
	text-align: center;
}

.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner:before {
	left: auto;
	right: 0;
}

.cmsmasters_counters.counters_type_vertical .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner:before {
	left: auto;
	right: 50%;
}

.cmsmasters_counters.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner:before {
	left: auto;
	right: 0;
}

.cmsmasters_quotes_slider_type_box .cmsmasters_quote_image {
	margin-left: 30px;
	margin-right: 0;
	float: right;
}

.cmsmasters_quotes_slider_type_box .cmsmasters_quote_header {
	padding-left: 0;
	padding-right: 35px;
}

.cmsmasters_quotes_slider_type_box .cmsmasters_quote_header:before {
	left: auto;
	right: 0;
}

.cmsmasters_quotes_slider_type_box .owl-pagination {
	text-align: right;
}

.quote_four.cmsmasters_quotes_grid .cmsmasters_quotes_vert:before {
	left: auto;
	right: 25%;
}

.quote_four.cmsmasters_quotes_grid .cmsmasters_quotes_vert:after {
	left: auto;
	right: 75%;
}

.quote_four.cmsmasters_quotes_grid .cmsmasters_quotes_vert span {
	left: auto;
	right: 50%;
}

.quote_three.cmsmasters_quotes_grid .cmsmasters_quotes_vert:before {
	left: auto;
	right: 33.33%;
}

.quote_three.cmsmasters_quotes_grid .cmsmasters_quotes_vert:after {
	left: auto;
	right: 66.66%;
}

.quote_two.cmsmasters_quotes_grid .cmsmasters_quotes_vert span {
	left: auto;
	right: 50%;
}

.cmsmasters_quotes_grid .cmsmasters_quotes_list:before {
	left: auto;
	right: 0;
}

.cmsmasters_quotes_grid .cmsmasters_quote:first-child .cmsmasters_quote_inner {
	padding-right: 0;
	padding-left:45px;
}

.cmsmasters_quotes_grid .cmsmasters_quote:last-child .cmsmasters_quote_inner {
	padding-left: 0;
	padding-right:45px;
}

.cmsmasters_quotes_grid.quote_one .cmsmasters_quote .cmsmasters_quote_inner {
	padding-left:0;
	padding-right:0;
}

.cmsmasters_quotes_grid .cmsmasters_quote_image {
	padding-left: 20px;
	padding-right: 0;
}

.cmsmasters_quotes_grid.quote_without_img .cmsmasters_quote_content {
	padding-right: 0;
}

.cmsmasters_quotes_grid .cmsmasters_quote_content {
	padding-right: 90px;
}

.quote_four.cmsmasters_quotes_grid .cmsmasters_quote_content,
.quote_three.cmsmasters_quotes_grid .cmsmasters_quote_content {
	text-align: center;
	padding-right: 0;
}

.cmsmasters_pricing_table .cmsmasters_pricing_item {
	float: right;
}

.pricing_one.cmsmasters_pricing_table .cmsmasters_pricing_item {
	float: none;
}

.cmsmasters_sidebar aside {
	float: right;
}

.social_vertical .share_wrap {
	float: none;
}

.share_wrap {
	float: right;
	margin-right:0;
	margin-left:20px;
}

.share_wrap:last-child {
	margin-left:0;
}

.cmsmasters_twitter_wrap .owl-buttons {
	left: 0;
	right: auto;
}

.cmsmasters_twitter_wrap .twr_icon {
	left: auto;
	right: 0;
}

.cmsmasters_twitter_wrap .cmsmasters_twitter_item {
	padding-left: 160px;
	padding-right: 190px;
}

.cmsmasters_twitter_wrap .published {
	left: auto;
	right: 40px;
}

.cmsmasters_dropcap {
	margin-left: 33px;
	margin-right: 23px;
	float: right;
}

.cmsmasters_dropcap.type2 {
	margin-left: 25px;
	margin-right: 0;
	text-align: center;
}

.cmsmasters_clients_grid .cmsmasters_clients_item {
	float: right;
}

.cmsmasters_clients_grid.clients_one .cmsmasters_clients_item:last-child,
.cmsmasters_clients_grid.clients_one .cmsmasters_clients_item {
	float: none;
}

.widget_custom_advertisement_entries .adv_image_wrap .adv_widget_image {
	float: right;
}

.widget_pages ul ul,
.widget_categories ul ul,
.widget_archive ul ul,
.widget_meta ul ul,
.widget_recent_comments ul ul,
.widget_recent_entries ul ul {
	padding-left: 0;
	padding-right: 10px;
}

.widget_categories ul li,
.widget_archive ul li {
	padding-right: 20px;
	padding-left:0;
}

#page .widget_categories ul li:before,
#page .widget_archive ul li:before {
	margin:0 0 0 15px;
}

#wp-calendar caption {
	text-align: right;
	padding-left: 0;
	padding-right: 20px;
}

#wp-calendar caption:before {
	content: '\e94e';
	left: auto;
	right: 2px;
}

.widget_custom_contact_info_entries > span,
.widget_custom_contact_info_entries .adress_wrap {
	padding-left: 0;
	padding-right: 25px;
}

.widget_custom_contact_info_entries > span:before,
.widget_custom_contact_info_entries .adress_wrap:before {
	text-align: center;
	left: auto;
	right: 1px;
}

.widget_nav_menu ul li a:before {
	left: auto;
	right: 0;
}

.widget_nav_menu .menu ul li a {
	padding-right: 20px;
	padding-left:0;
}

.widget_nav_menu .menu ul li li a {
	padding-right: 40px;
	padding-left:0;
}

.widget_nav_menu .menu ul li li li a {
	padding-right: 60px;
	padding-left:0;
}

.widget_custom_flickr_entries .flickr_badge_image {
	float: right;
}

.widget_custom_popular_projects_entries .widgettitle,
.widget_custom_latest_projects_entries .widgettitle {
	padding-left: 77px;
	padding-right: 0;
}

.widget_custom_popular_projects_entries .widgettitle + .widget_custom_projects_entries_slides .owl-buttons,
.widget_custom_latest_projects_entries .widgettitle + .widget_custom_projects_entries_slides .owl-buttons {
	left: 0;
	right: auto;
}

.widget_custom_popular_projects_entries .cmsmasters_widget_project_footer,
.widget_custom_latest_projects_entries .cmsmasters_widget_project_footer {
	float: left;
}

.widget_custom_popular_projects_entries .cmsmasters_widget_project_footer > span,
.widget_custom_latest_projects_entries .cmsmasters_widget_project_footer > span {
	margin-right: 10px;
	margin-left:0;
}

.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_img {
	margin-left: 20px;
	margin-right: auto;
	left: auto;
	right: 0;
}

.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont {
	padding-left: 0;
	padding-right: 80px;
}

.widget_rss img {
	margin-left: 3px;
	margin-right: 0;
}

.widget_rss ul li cite {
	text-align: left;
}

.widget_tag_cloud a {
	margin-left: 4px;
	margin-right: 0;
}

.widget_custom_twitter_entries .tweet_time {
	padding-left: 0;
	padding-right: 35px;
}

.widget_custom_twitter_entries .tweet_time:before {
	left: auto;
	right: 4px;
}

.cmsmasters_archive_type .cmsmasters_archive_item_img_wrap {
	margin-left: 30px;
	margin-right: 0;
	float: right;
}

.cmsmasters_archive_type .cmsmasters_archive_item_date_wrap {
	padding-left: 0;
	padding-right: 10px;
	float: left;
}

.cmsmasters_archive_type .cmsmasters_archive_item_category,
.cmsmasters_archive_type .cmsmasters_archive_item_user_name {
	padding-left: 10px;
	padding-right: 0;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li:before {
	left: auto;
	right: 0;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li {
	padding-left: 20px;
	padding-left:0;
	float: right;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > ul li {
	margin-right: 20px;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > ul > li {
	margin-right: 0;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li {
	padding-left: 20px;
	padding-left:0;
	float: right;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > ul li {
	margin-right: 20px;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > ul > li {
	margin-right: 0;
}

.cmsmasters_sitemap_wrap .cmsmasters_sitemap_archive > li {
	padding-left: 20px;
	padding-left:0;
	float: right;
}

.cmsmasters_attach_img .cmsmasters_attach_img_edit {
	float: left;
}

.cmsmasters_paypal_donations > form > .paypal-donations input[type="image"] {
	left: 0;
	right: 0;
}

.wpcf7-list-item-label,
body .cmsmasters-form-builder .check_parent input[type="checkbox"] + label,
body .cmsmasters-form-builder .check_parent input[type="radio"] + label {
	padding-left: 0;
	padding-right: 25px;
	float: right;
}

.cmsmasters-form-builder .check_parent input[type="checkbox"],
.cmsmasters-form-builder .check_parent input[type="radio"],
.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="checkbox"],
.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="radio"] {
	float: right;
	left: auto;
	right: 0;
}

.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="checkbox"] + span.wpcf7-list-item-label:before,
.cmsmasters-form-builder .check_parent input[type="checkbox"] + label:before,
.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="radio"] + span.wpcf7-list-item-label:before,
.cmsmasters-form-builder .check_parent input[type="radio"] + label:before {
	left: auto;
	right: 1px;
}

.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="checkbox"] + span.wpcf7-list-item-label:after,
.cmsmasters-form-builder .check_parent input[type="checkbox"] + label:after,
.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="radio"] + span.wpcf7-list-item-label:after,
.cmsmasters-form-builder .check_parent input[type="radio"] + label:after {
	left: auto;
	right: 5px;
}

.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type="checkbox"] + span.wpcf7-list-item-label:after,
.cmsmasters-form-builder .check_parent input[type="checkbox"] + label:after {
	content: '\eabb'; /* Check this rule! */
}

.custom_subscribe .wysija-submit-field {
	right: auto;
	left: 0;
	-webkit-border-radius: 25px 0 0 25px;
	-moz-border-radius: 25px 0 0 25px;
	border-radius: 25px 0 0 25px;
}

@media only screen and (max-width: 1024px) {
	#header nav div,
	#header nav ul,
	#header nav li,
	#header nav a,
	#header nav span {
		float: none;
		left: auto;
		right: auto;
		text-align: right;
	}

	.cmsmasters_121414 .cmsmasters_column.one_half,
	.cmsmasters_141412 .cmsmasters_column.one_half {
		float: none;
	}

	.sidebar_layout_141412 > aside:first-child + aside + aside,
	.sidebar_layout_141412 > div.cl + aside + aside + aside,
	.sidebar_layout_141412 > div.cmsmasters_widget_divider + aside + aside + aside {
		float: none;
	}

	.sidebar_layout_121414 > aside:first-child,
	  .sidebar_layout_121414 > div.cl + aside,
	  .sidebar_layout_121414 > div.cmsmasters_widget_divider + aside {
		float: none;
	}

	.header_top .header_top_right {
		float: none;
	}

	.header_top .social_wrap .social_wrap_inner {
		text-align: center;
	}
	
	.header_top .header_top_left {
		padding-left:0;
	}
	
	.header_top .meta_wrap {
		text-align: center;
	}

	#header .top_line_nav .nav_item_wrap {
		text-align: center;
	}

	#header .top_line_nav li li .nav_item_wrap:before,
	#header .top_line_nav li li .nav_item_wrap:after {
		content: '\00a0\2014\00a0'; /* Check this rule! */
	}

	#header .top_line_nav li li li .nav_item_wrap:before,
	#header .top_line_nav li li li .nav_item_wrap:after {
		content: '\00a0\2013\00a0'; /* Check this rule! */
	}

	.enable_header_centered #header .header_mid .resp_mid_nav_wrap {
		float: none;
	}

	.enable_header_centered #header .header_mid .resp_mid_nav_wrap .resp_mid_nav_outer {
		text-align: center;
	}

	#header .header_mid .mid_nav_wrap {
		float: none;
	}

	#header .header_mid .search_wrap {
		float: none;
	}

	#header .header_mid .search_wrap .search_bar_wrap {
		left: auto;
		right: auto;
	}

	#header .header_mid .search_wrap .search_bar_wrap .search_field input {
		text-align: right;
		padding-left: 46px;
		padding-right: 20px;
	}

	#header .header_bot .bot_nav_wrap {
		float: none;
	}

	#header .navigation .menu-item-has-children > a {
		padding-left: 40px;
	}

	#header .navigation li li > a {
		padding-right: 50px;
		padding-left:20px;
	}

	#header .navigation li li li > a {
		padding-right: 70px;
		padding-left:20px;
	}

	#header .navigation li li li li > a {
		padding-right: 90px;
		padding-left:20px;
	}

	#header .navigation .nav_tag {
		margin-left: 0;
		margin-right: 10px;
	}

	#header .navigation .cmsmasters_resp_nav_toggle {
		left: auto;
		right: 0;
	}

	#header .navigation .cmsmasters_resp_nav_toggle:before {
		right: auto;
		left: 15px;
		content:'\eb21';
	}

	.cmsmasters_quotes_grid .cmsmasters_quote:first-child .cmsmasters_quote_inner {
		padding-left:0;
	}
	
	.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters-icon-"],
	.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters_theme_icon_"] {
		padding-right: 50px;
	}

	.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters-icon-"]:before,
	.cmsmasters_tabs.tabs_mode_tab .cmsmasters_tabs_list_item a[class^="cmsmasters_theme_icon_"]:before {
		left: auto;
		right: 17px;
	}
}

@media only screen and (max-width: 768px) {
	.one_first,
	.one_half,
	.one_third,
	.two_third,
	.one_fourth,
	.one_fifth,
	.three_fourth,
	.cmsmasters_121414 .cmsmasters_column.one_half,
	.cmsmasters_141412 .cmsmasters_column.one_half,
	.cmsmasters_141214 .cmsmasters_column.one_fourth,
	.cmsmasters_141214 .cmsmasters_column.one_half {
	float: none;
	}

	.cmsmasters_pricing_table.pricing_three .cmsmasters_pricing_item {
		float: none;
	}

	.cmsmasters_clients_grid.clients_five .cmsmasters_clients_item,
	.cmsmasters_clients_grid.clients_four .cmsmasters_clients_item,
	.cmsmasters_clients_grid.clients_three .cmsmasters_clients_item,
	.cmsmasters_clients_grid.clients_two .cmsmasters_clients_item {
		float: none;
	}

	.header_top .meta_wrap > * {
		text-align: center;
	}

	#header .header_mid .logo_wrap {
		float: none;
		text-align: center;
	}

	#header .header_mid .resp_mid_nav_wrap,
	#header .header_mid .social_wrap,
	#header .header_mid .slogan_wrap,
	.cmsmasters_items_filter_wrap .cmsmasters_items_sort_but,
	.cmsmasters_footer_small .footer_nav > li,
	.cmsmasters_footer_small .social_wrap,
	.cmsmasters_footer_small .footer_custom_html_wrap,
	#header .header_mid .mid_nav_wrap,
	.cmsmasters_footer_default .footer_nav > li,
	.cmsmasters_footer_small .footer_nav_wrap {
		float: none;
	}
	
	#header .header_mid .resp_mid_nav_wrap .resp_mid_nav_outer,
	#header .header_mid .social_wrap .social_wrap_inner,
	#header .header_mid .slogan_wrap .slogan_wrap_inner,
	#header .header_mid .slogan_wrap .slogan_wrap_text,
	.cmsmasters_items_filter_wrap .cmsmasters_items_filter_list,
	.cmsmasters_project_sort_block + .cmsmasters_project_filter_block .cmsmasters_project_filter_list,
	.cmsmasters_footer_default .footer_nav,
	.cmsmasters_footer_small .footer_custom_html_wrap .footer_custom_html,
	.cmsmasters_footer_small .footer_copyright,
	.cmsmasters_footer_small .social_wrap .social_wrap_inner,
	.cmsmasters_footer_small .footer_nav_wrap nav > div,
	.cmsmasters_footer_small .footer_nav {
		text-align: center;
	}
	
	.blog.timeline .post .cmsmasters_post_date {
		text-align: right;
	}

	.cmsmasters_items_filter_wrap .cmsmasters_items_sort_block {
		float: none;
		text-align: center;
	}
	
	.cmsmasters_comment_item .cmsmasters_comment_item_avatar {
		padding-left: 20px;
	}

	.post_nav > span.cmsmasters_next_post .post_nav_sub {
		right: auto;
		left: 45px;
	}

	.post_nav > span.cmsmasters_next_post a {
		padding-left: 45px;
	}

	.post_nav > span.cmsmasters_prev_post .post_nav_sub {
		left: auto;
		right: 45px;
	}

	.post_nav > span.cmsmasters_prev_post a {
		padding-right: 45px;
	}

	.cmsmasters_quotes_grid .cmsmasters_quote_content {
		padding-right: 0;
	}
	
	.cmsmasters_quotes_grid.quote_two .cmsmasters_quote .cmsmasters_quote_content,
	.cmsmasters_quotes_grid .cmsmasters_quote:last-child .cmsmasters_quote_inner {
		padding-right:0;
	}
	
	.cmsmasters_archive_type .cmsmasters_archive_item_img_wrap {
		margin-left: 20px;
	}
	
	.cmsmasters_footer_small .footer_copyright {
		padding-left:0;
	}
}
